Home Forum Statistica con R Installazione pacchetto ast in R

Questo argomento contiene 5 risposte, ha 4 partecipanti, ed è stato aggiornato da  Lorenzo 3 anni, 4 mesi fa.

Stai vedendo 6 articoli - dal 1 a 6 (di 6 totali)
  • Autore
    Articoli
  • #3819

    Lorenzo
    Partecipante

    Ciao a tutti, ragazzi.

    Sono un laureando magistrale in Economia e Commercio. Per la mia tesi sto usando R e per farlo ho necessità di utilizzare, tra i vari pacchetti, anche “ast”. Purtroppo ho provato, IN TUTTE LE MANIERE, ad installarlo, ma non riesco a farlo…
    Dapprima, se installo R versione 3.2.2 mi dice che “ast” è stato costruito prima di tale versione; mentre, se installo R versione 2.0, ovvero la versione che andrebbe bene per lavorare con il suddetto pacchetto, non riesco ad installarlo… Aiuto!

    Grazie in anticipo…

    #3820

    Anonimo

    Ciao.

    Prova a vedere se la mia risposta in questo forum può tornarti utile: http://www.stat-project.com/group/r/forum/topics/package-ast-per-r-2-14

    #3821

    Lorenzo
    Partecipante

    Ciao, Nicola.

    A dire il vero quel forum lì l’ho analizzato per bene, specialmente il tuo link.
    Purtroppo non riesco a reindirizzarmi all’indirizzo in questione perché mi dice “Old Site” e mi manda all’indirizzo nuovo del sito di Statistica.
    Tu per caso hai il file in questione? Diario.zip, se non erro…

    #3822
    Pasqualino Littera
    Pasqualino Littera
    Partecipante

    Banalmente installati la versione 2.9 (https://cran.r-project.org/bin/windows/base/old/), le successive sono incompatibili, scarichi ast (http://sirio.stat.unipd.it/index.php?id=libast) e poi copi in %\R\R-2.9.2\library (io ho installato 2.9.2, appunto.

    P.L.

    #3823
    Davide Massidda
    Davide Massidda
    Moderatore

    Ciao Lorenzo,

    avevo partecipato anche io a quella discussione sul forum di Statistica@Ning, e come allora purtroppo non ho una soluzione.

    Il pacchetto ast è stato costruito anni fa, seguendo delle specifiche ormai obsolete: così com’è, è impossibile da installare. I problemi sono molti e diversificati.

    Ho però una buona notizia.

    Ho apportato delle modifiche al codice sorgente e sono riuscito a installarlo sotto Linux/Ubuntu 14.04 (64 bit), versione R 3.2.2. Tuttavia, questo stesso codice in Windows dà problemi e non viene compilato; penso che sotto Windows il problema stia nel compilatore Fortran, che non so perché sembra non funzionare (almeno a me).

    Quindi, a questo punto, se non riesci a risolvere con i consigli di Nicola, se utilizzi Linux posso passarti questi sorgenti modificati, che, seppure tra mille “notes”, “warnings” ed “errors”, girano e alla fine il pacchetto viene installato e caricato correttamente.

    P.S. Comunque tieni a mente la soluzione di Pasqualino che potrebbe davvero essere la strada più semplice da seguire 🙂

    #3825

    Lorenzo
    Partecipante

    Ragazzi, grazie a tutti!
    Grazie specialmente a Pasqualino e Davide.
    Davide, avevo già provato con Linux ma con la versione a 32 bit (il mio portatile ha quasi 8 anni) mi aveva dato problemi…
    Però, con il suggerimento di Pasqualino sono riuscito a far funzionare tutto. Ero andato in panico quando ho visto che, dopo aver de-zippato ast e messo nella cartella library – come mi era stato suggerito di fare -, avevo ricevuto il seguente warning:

    Warning in install.packages(“ast”) :
    argument ‘lib’ is missing: using ‘C:\Users\Lorenzo\Documents/R/win-library/2.9’
    — Please select a CRAN mirror for use in this session —
    Warning: unable to access index for repository http://www.stats.ox.ac.uk/pub/RWin/bin/windows/contrib/2.9
    Warning message:
    In getDependencies(pkgs, dependencies, available, lib) :
    package ‘ast’ is not available

    Tuttavia, con il comando ‘library(“ast”)’ non ho ricevuto warnings… Ed anche le funzioni come smoothts(), tsr(), loess() ecc., sembrano funzionare.

    Ragazzi, grazie davvero ancora!

Stai vedendo 6 articoli - dal 1 a 6 (di 6 totali)

Devi essere loggato per rispondere a questa discussione.